Subject: bug#55007: Minibuffer prompt is incorrect in Viper mode since commit 50512e3

From: atheik <[email-masked]>
Date: Mon, 18 Apr 2022 22:12:57 +0300

The use of 'format-prompt' in 'lisp/emulation/viper-cmd.el' results in
incorrect minibuffer prompts in Viper mode. It does not make sense to
append ": " to the minibuffer prompt when entering commands in command
mode. Commit 50512e3 also changed the behavior such that the default
prompt does not disappear when a character is entered into the
minibuffer when entering a command in command mode.

Please consider reverting the changes done in commit 50512e3 for
'lisp/emulation/viper-cmd.el'.